import typescriptEslint from "@typescript-eslint/eslint-plugin";
import tsParser from "@typescript-eslint/parser";

export default [{
    files: ["**/*.ts"],
}, {
    plugins: {
        "@typescript-eslint": typescriptEslint,
    },

    languageOptions: {
        parser: tsParser,
        ecmaVersion: 2022,
        sourceType: "module",
    },

    rules: {
        "@typescript-eslint/naming-convention": [
            "warn",
            {
                selector: "variable",
                format: ["camelCase"],
            },
            {
                selector: "import",
                format: ["camelCase", "PascalCase"],
            }
        ],
        "@typescript-eslint/no-inferrable-types": "warn",
        curly: "warn",
        eqeqeq: "warn",
        "no-throw-literal": "warn",
        semi: "warn",
        quotes: ["warn", "double"],
        "no-unused-vars": "warn",
        "no-constant-condition": "warn",
        "no-irregular-whitespace": "warn",
    },
}];